Orxonox: orxonox::BarColour Class Reference

# orxonox::BarColour Class Reference

`#include <src/orxonox/overlays/hud/HUDBar.h>`

Inheritance diagram for orxonox::BarColour:

List of all members.

## Public Member Functions

| BarColour (BaseObject *creator)
const ColourValue & | getColour () const
float | getPosition () const
void | setColour (const ColourValue &colour)
void | setPosition (float pos)
virtual void | XMLPort (Element &xmlElement, XMLPort::Mode mode)
| XML loading and saving.
virtual | ~BarColour ()

## Private Attributes

ColourValue | colour_
float | position_

## Constructor & Destructor Documentation

orxonox::BarColour::BarColour | ( | BaseObject * | creator | ) |

References orxonox::MT_Type::ColourValue, RegisterObject, setColour(), and setPosition().

virtual orxonox::BarColour::~BarColour | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

const ColourValue& orxonox::BarColour::getColour | ( |  | ) | const`[inline]`

Referenced by orxonox::HUDBar::addColour(), and XMLPort().

float orxonox::BarColour::getPosition | ( |  | ) | const`[inline]`

Referenced by orxonox::HUDBar::addColour(), and XMLPort().

void orxonox::BarColour::setColour | ( | const ColourValue & | colour | ) | `[inline]`

Referenced by BarColour(), and XMLPort().

void orxonox::BarColour::setPosition | ( | float | pos | ) | `[inline]`

Referenced by BarColour(), and XMLPort().

void orxonox::BarColour::XMLPort | ( | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::BaseObject.

References getColour(), getPosition(), setColour(), setPosition(), SUPER, and XMLPortParam.

## Member Data Documentation

ColourValue orxonox::BarColour::colour_`[private]`

float orxonox::BarColour::position_`[private]`

The documentation for this class was generated from the following files:

- src/orxonox/overlays/hud/HUDBar.h
- src/orxonox/overlays/hud/HUDBar.cc